
Figure - Bug #117308
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【遥控器】副屏遥控器打开后副屏重启，中控侧滑动副屏触摸板时副屏没有鼠标指针
2023-04-03 16:12 - CD Test赵飞

Status: CLOSED Start date: 2023-04-03

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020��中控版本：66

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-03

Test Type: ST Root cause: 重连之后中控遥控器没有创建鼠标设备

Description

【前提条件】

1、副屏与中控已连接

【测试步骤】

1、中控打开遥控器应用

2、副屏断电再上电

3、中控侧遥控器切换到“副屏触摸板”

【预期结果】

5、副屏上出现鼠标指针

【实际结果】

5、副屏上没有鼠标指针

History

#1 - 2023-04-03 17:24 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Root cause set to 重连之后中控遥控器没有创建鼠标设备

#2 - 2023-04-03 19:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191624 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - Fixed  When restart have no mouse pointTC-RID: 1201-0206001IssueID: TS-R-BUG-117308Change-Id:

I115cbc0c4f22e3398004fe10be3491574c79ce17

#3 - 2023-04-03 19:40 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD Test赵飞
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-03

■ Current conclusion

bug已解决,提交已入库

■ My analysis

中控创建虚拟鼠标设备的时机问题,副屏重启后没有再次创建虚拟鼠标设备,现在对sdk的创建虚拟鼠标设备功能进行了回收,由服务端统一创建和销毁

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/191624

#4 - 2023-04-04 10:32 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102

验证结果：PASS

#5 - 2023-04-04 10:32 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/191624

